function EnterEventMoreFilters(txtAutomplete, event) {
    var path_Name = window.location.pathname;
    var myPageName = path_Name.substring(path_Name.lastIndexOf('/') + 1);
    try {
        return $.ajax({
            type: "POST",
            url: "" + myPageName + "/GetMoreTargetFieldValues",
            contentType: "application/json; charset=utf-8",
            datatype: "text",
            cache: false,
            data: "{'txtTargetField':'" + $("#" + event.currentTarget.id).val().toString() + "'}",
            crossDomain: true,
            success: function (result) {
                if (event.keyCode == 27) {
                    $("#divTargetValues").hide();
                    return;
                }
                var tbl = "<div class='myDiv'>"
                tbl += "<table id='mainTable' class='TableSearchResult' style='cursor:default;' width=240px   >"
                tbl += "<tr id='NonHover' style='height: 25px;'><th>Source Field</th></tr>"
                $.each(result, function (key, value) {
                    var jsonData = JSON.stringify(value);
                    objData = $.parseJSON(jsonData);
                })
                if (objData === null || objData.length === 0) {
                    //alert("No common data defined for searching.");
                    $("#divTargetValues").hide();
                    return;
                }
                else {
                    for (var i = 0; i < objData.length; i++) {
                        //
                        tbl += "<tr id=mytd" + i + " class='SearchResultRow'  onClick=\"autoComplete_CustomerClicked('" + objData[i].TargetFieldValues + "','" + $("#" + event.target.id).selector + "')\">";
                        tbl += "<td>" + objData[i].TargetFieldValues + "</td>";
                        tbl += "</tr>";
                    }
                    tbl += "</table></div>";
                    var pos = $("#" + event.target.id).offset();
                    $("#divTargetValues").css('top', pos.top + 30);
                    $("#divTargetValues").show();
                    $("#divTargetValues").html(tbl);
                }
            },
            error: function (request, status, error) {
                alert(request.responseText);
            }
        });
    }
    catch (err) {
        console.log(err.message);
    }
}

function autoComplete_CustomerClicked(TargetFieldValues, id) {
    $(id).val("NM."+TargetFieldValues);
    $("#divTargetValues").hide();
}